Vulnerability Name:

CVE-2017-15590

Assigned:2017-10-18
Published:2017-10-18
Updated:2017-11-14
Summary:An issue was discovered in Xen through 4.9.x allowing x86 guest OS users to cause a denial of service (hypervisor crash) or possibly gain privileges because MSI mapping was mishandled.
CVSS v3 Severity:8.8 High (CVSS v3 Vector: CVSS:3.0/AV:L/AC:L/PR:L/UI:N/S:C/C:H/I:H/A:H)
7.7 High (Temporal CVSS v3 Vector: CVSS:3.0/AV:L/AC:L/PR:L/UI:N/S:C/C:H/I:H/A:H/E:U/RL:O/RC:C)
Exploitability Metrics:Attack Vector (AV): Local
Attack Complexity (AC): Low
Privileges Required (PR): Low
User Interaction (UI): None
Scope:Scope (S): Changed
Impact Metrics:Confidentiality (C): High
Integrity (I): High
Availibility (A): High
7.1 High (CCN CVSS v3 Vector: CVSS:3.0/AV:L/AC:L/PR:N/UI:N/S:C/C:N/I:N/A:H)
6.2 Medium (CCN Temporal CVSS v3 Vector: CVSS:3.0/AV:L/AC:L/PR:N/UI:N/S:C/C:N/I:N/A:H/E:U/RL:O/RC:C)
Exploitability Metrics:Attack Vector (AV): Local
Attack Complexity (AC): Low
Privileges Required (PR): None
User Interaction (UI): None
Scope:Scope (S): Changed
Impact Metrics:Confidentiality (C): None
Integrity (I): None
Availibility (A): High
CVSS v2 Severity:4.6 Medium (CVSS v2 Vector: AV:L/AC:L/Au:N/C:P/I:P/A:P)
Exploitability Metrics:Access Vector (AV): Local
Access Complexity (AC): Low
Authentication (Au): None
Impact Metrics:Confidentiality (C): Partial
Integrity (I): Partial
Availibility (A): Partial
4.6 Medium (CCN CVSS v2 Vector: AV:L/AC:L/Au:N/C:P/I:P/A:P)
Exploitability Metrics:Access Vector (AV): Local
Access Complexity (AC): Low
Athentication (Au): None
Impact Metrics:Confidentiality (C): Partial
Integrity (I): Partial
Availibility (A): Partial
Vulnerability Type:CWE-264
References:Source: BID
Type: VENDOR_ADVISORY
101500

Source: SECTRACK
Type: VENDOR_ADVISORY
1039568

Source: XF
Type: UNKNOWN
xen-pci-msi-dos(133333)

Source: CONFIRM
Type: UNKNOWN
https://support.citrix.com/article/CTX228867

Source: CONFIRM
Type: VENDOR_ADVISORY
https://xenbits.xen.org/xsa/advisory-237.html

Vulnerable Configuration:Configuration 1:
  • cpe:/o:xen:xen:4.9.0:*:*:*:*:*:*:*

  • Denotes that component is vulnerable
    Oval Definitions
    Definition IDClassTitleLast Modified
    oval:org.opensuse.security:def:201715590
    V
    CVE-2017-15590
    2017-11-24
    oval:com.ubuntu.xenial:def:201715590000
    V
    CVE-2017-15590 on Ubuntu 16.04 LTS (xenial) - untriaged.
    2017-10-18
    oval:com.ubuntu.trusty:def:201715590000
    V
    CVE-2017-15590 on Ubuntu 14.04 LTS (trusty) - untriaged.
    2017-10-18
    BACK
    xen xen 4.9.0